Bug 1298649 - (interfasys/lognormalizer) Review Request: php-interfasys-lognormalizer - Parses variables and converts them to string
Review Request: php-interfasys-lognormalizer - Parses variables and converts ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1262185
  Show dependency treegraph
 
Reported: 2016-01-14 11:20 EST by Remi Collet
Modified: 2016-02-14 19:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 19:54:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (4.49 KB, text/plain)
2016-01-20 01:27 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (2.87 KB, text/plain)
2016-01-20 01:28 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.87 KB, text/plain)
2016-01-20 01:29 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-01-14 11:20:44 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/3637123873c5a8810361e463666daf92acd998b7/php/php-interfasys-lognormalizer/php-interfasys-lognormalizer.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-interfasys-lognormalizer-0-0.1.20150801gitd5e4c95.remi.src.rpm
Description: 
Parses variables and converts them to string so that they can be logged.

Based on the Monolog formatter/normalizer.

Autoloader: /usr/share/php/InterfaSys/LogNormalizer/autoload.php

Fedora Account System Username: remi

-- 
Dependency of owncloud
As usually, I will clean EL-5 stuff after import.
Comment 1 Upstream Release Monitoring 2016-01-14 11:29:24 EST
remi's scratch build of php-interfasys-lognormalizer-0-0.1.20150801gitd5e4c95.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12548225
Comment 3 Shawn Iwinski 2016-01-20 01:27 EST
Created attachment 1116497 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 4 Shawn Iwinski 2016-01-20 01:28 EST
Created attachment 1116499 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 5 Shawn Iwinski 2016-01-20 01:29 EST
Created attachment 1116501 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1298649
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Shawn Iwinski 2016-01-20 01:30:43 EST
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license.

     Actual license = AGPLv3

     Spec license = AGPLv3+
Comment 7 Remi Collet 2016-01-20 01:37:44 EST
From the source headers:

https://github.com/interfasys/lognormalizer/blob/master/src/Normalizer.php

 * This file is licensed under the Affero General Public License version 3 or
 * later. See the COPYING file.

So I think, this is really "AGPLv3+" (of course, COPYING is the v3)
Comment 8 Shawn Iwinski 2016-01-20 01:44:05 EST
(In reply to Remi Collet from comment #7)
> From the source headers:
> 
> https://github.com/interfasys/lognormalizer/blob/master/src/Normalizer.php
> 
>  * This file is licensed under the Affero General Public License version 3 or
>  * later. See the COPYING file.
> 
> So I think, this is really "AGPLv3+" (of course, COPYING is the v3)

Sorry, I missed that.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 9 Remi Collet 2016-01-20 01:49:10 EST
Thanks, SCM request open.
Comment 10 Gwyn Ciesla 2016-01-20 09:16:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-interfasys-lognormalizer
Comment 11 Fedora Update System 2016-01-20 10:56:55 EST
php-interfasys-lognormalizer-1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70790f2076
Comment 12 Fedora Update System 2016-01-20 10:56:55 EST
php-interfasys-lognormalizer-1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c10d2f4ec
Comment 13 Fedora Update System 2016-01-20 10:57:01 EST
php-interfasys-lognormalizer-1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56f7c7209d
Comment 14 Fedora Update System 2016-01-21 23:59:16 EST
php-interfasys-lognormalizer-1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70790f2076
Comment 15 Fedora Update System 2016-01-22 02:56:26 EST
php-interfasys-lognormalizer-1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56f7c7209d
Comment 16 Fedora Update System 2016-01-23 16:30:49 EST
php-interfasys-lognormalizer-1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c10d2f4ec
Comment 17 Fedora Update System 2016-02-01 19:54:08 EST
php-interfasys-lognormalizer-1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-02 00:50:02 EST
php-interfasys-lognormalizer-1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-02-14 19:57:10 EST
php-interfasys-lognormalizer-1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.